# OV-NSRit

This is a small service that receives nsRit updates from my [OVRepeater](https://gitlab.rubend.nl/tools/ov/ovrepeater) project through redis, and stores them in a database.  
It is used by the [OV App](https://gitlab.rubend.nl/tools/ov/ov) to show the previous and next trips of a train.

# Requirements

- A separate database from the one used by the OV App.
- A connection to the redis instance used by the OV Repeater.

# Configuration

There are 2 environment variables that need to be set:

- `DATABASE_URL`: The URL to the database. (Must be a separate database from the one used by the OV App!)
- `REDIS_URL`: The URL to the redis instance. Exactly one instance of this project needs to have this set! 

# IMPORTANT

The server which writes to the database, so the only one which has a REDIS_URL specified, needs to have a query limit of exactly 1.  
This is to prevent the same vehicle/trip being added at the same time, crashing the application.  
You can do this by adding `?connection_limit=1` to your `DATABASE_URL`.
