-- CreateTable
CREATE TABLE "vehicle" (
    "id" SERIAL NOT NULL,
    "number" TEXT NOT NULL,
    "type" TEXT NOT NULL,

    CONSTRAINT "vehicle_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "ns_rit" (
    "id" SERIAL NOT NULL,
    "ritId" INTEGER NOT NULL,
    "date" INTEGER NOT NULL,
    "firstTime" INTEGER NOT NULL,

    CONSTRAINT "ns_rit_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "_ns_ritTovehicle" (
    "A" INTEGER NOT NULL,
    "B" INTEGER NOT NULL,

    CONSTRAINT "_ns_ritTovehicle_AB_pkey" PRIMARY KEY ("A","B")
);

-- CreateIndex
CREATE UNIQUE INDEX "vehicle_number_type_key" ON "vehicle"("number", "type");

-- CreateIndex
CREATE UNIQUE INDEX "ns_rit_ritId_date_key" ON "ns_rit"("ritId", "date");

-- CreateIndex
CREATE INDEX "_ns_ritTovehicle_B_index" ON "_ns_ritTovehicle"("B");

-- AddForeignKey
ALTER TABLE "_ns_ritTovehicle" ADD CONSTRAINT "_ns_ritTovehicle_A_fkey" FOREIGN KEY ("A") REFERENCES "ns_rit"("id") ON DELETE CASCADE ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "_ns_ritTovehicle" ADD CONSTRAINT "_ns_ritTovehicle_B_fkey" FOREIGN KEY ("B") REFERENCES "vehicle"("id") ON DELETE CASCADE ON UPDATE CASCADE;
