import prisma from "./prisma";

export async function cleanup() {
  const yesterdayDate = new Date(Date.now() - 1000 * 60 * 60 * 24);
  const yesterday = +yesterdayDate
    .toISOString()
    .split("T")[0]
    .split("-")
    .join("");
  await prisma.ns_rit.deleteMany({
    where: {
      date: {
        lt: yesterday,
      },
    },
  });
  await prisma.vehicle.deleteMany({
    where: {
      NOT: {
        nsRit: {
          some: {
            id: {
              gt: 0,
            },
          },
        },
      },
    },
  });
}
