import { startListener } from "./receiver";
import { cleanup } from "./cleanup";
import { startServer } from "./server";
import migrate from "./migrate";
process.on("SIGINT", () => process.exit());

const ONE_HOUR = 60 * 60 * 1000;

const redisUrl = process.env.REDIS_URL;
if (redisUrl) {
  console.log("REDIS_URL set, running migrations, auto cleanup, listener.");
  await migrate();
  await cleanup();
  setInterval(cleanup, ONE_HOUR);
  startListener(redisUrl);
} else {
  console.log("REDIS_URL not set, only running http server.");
}
startServer();
